### Method

# Camel FolderSummary set_next_uid

#### Declaration [src]

    void
    camel_folder_summary_set_next_uid (
      CamelFolderSummary* summary,
      guint32 uid
    )

#### Description [src]

Set the next minimum uid available. This can be used to ensure new uid’s do not clash with existing uid’s.

#### Parameters

`uid`

  Type: `guint32`

  The next minimum uid to assign. To avoid clashing uid’s, set this to the uid of a given messages + 1.